/***************************************************************************
 $RCSfile: provider.h,v $
                             -------------------
    cvs         : $Id: provider.h,v 1.5 2005/01/22 04:17:40 aquamaniac Exp $
    begin       : Mon Mar 01 2004
    copyright   : (C) 2004 by Martin Preuss
    email       : martin@libchipcard.de

 ***************************************************************************
 *          Please see toplevel file COPYING for license details           *
 ***************************************************************************/

#ifndef AH_PROVIDER_H
#define AH_PROVIDER_H

#include <aqhbci/hbci.h>
#include <aqbanking/banking.h>
#include <aqbanking/provider.h>

#ifdef __cplusplus
extern "C" {
#endif


typedef struct AH_PROVIDER AH_PROVIDER;


AQHBCI_API
AB_PROVIDER *AH_Provider_new(AB_BANKING *ab, const char *name);



AH_HBCI *AH_Provider_GetHbci(AB_PROVIDER *pro);


int AH_Provider_GetAlwaysAskForCert(const AB_PROVIDER *pro);
void AH_Provider_SetAlwaysAskForCert(AB_PROVIDER *pro, int b);



#ifdef __cplusplus
}
#endif






#endif /* AH_PROVIDER_H */




